Catmandu::Error(3pm)

NAME
Catmandu::Error - Catmandu error hierarchy

SYNOPSIS
    use Catmandu::Sane;

    sub be_naughty {
        Catmandu::BadArg->throw("very naughty") if shift;
    }

    try {
        be_naughty(1);
    } catch_case [
        'Catmandu::BadArg' => sub {
            say "sorry";
        }
    ];

CURRRENT ERROR HIERARCHY Throwable::Error Catmandu::Error Catmandu::BadVal Catmandu::BadArg Catmandu::BadFixArg Catmandu::NotImplemented Catmandu::NoSuchPackage Catmandu::NoSuchFixPackage Catmandu::FixParseError Catmandu::FixError Catmandu::HTTPError

SEE ALSO
Throwable